Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# connection.h File Reference

Declares the Connection class. More...

`#include "platform.h"`
`#include "exceptions.h"`
`#include "result.h"`
`#include <mysql.h>`
`#include <vector>`
`#include <deque>`
`#include <list>`
`#include <set>`
`#include <map>`

Include dependency graph for connection.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | mysqlpp

## Detailed Description

Declares the Connection class.

Every program using MySQL++ must create a Connection object, which manages information about the connection to the MySQL database. In addition, this class controls things like whether exceptions are thrown when errors are encountered.